Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# OnPlayersLoadedListener

com.google.android.gms.games.OnPlayersLoadedListener

This interface is deprecated.
See `Players.LoadPlayersResult`.

## Class Overview

Listener for receiving callbacks when player data has been loaded.

## Summary

Public Methods
abstract void | onPlayersLoaded(int statusCode, PlayerBuffer buffer) Called when player data has been loaded.

## Public Methods

#### public abstract void onPlayersLoaded (int statusCode, PlayerBuffer buffer)

Called when player data has been loaded.

Possible status codes include:

- `STATUS_OK` if data was successfully loaded and is up-to-date.
- `STATUS_NETWORK_ERROR_NO_DATA` if the device was unable to retrieve any data from the network and has no data cached locally.
- `STATUS_NETWORK_ERROR_STALE_DATA` if the device was unable to retrieve the latest data from the network, but has some data cached locally.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the `GamesClient` needs to reconnect to the service to access this data.
- `STATUS_LICENSE_CHECK_FAILED` if the game is not licensed to the user.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

##### Parameters

statusCode | A status code indicating the result of the operation.
buffer | The player data that was requested. This is guaranteed to be non-null, though it may be empty. The listener must close this object when finished.